## kf6-baloo 6.16.0

=== debian/changelog ===
kf6-baloo (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:40 +0100

kf6-baloo (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:23 +0100

kf6-baloo (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:54:51 +0100

=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.16.0~),
               gettext,
               libkf6config-dev (>= 6.16.0~),
               libkf6coreaddons-dev (>= 6.16.0~),
               libkf6crash-dev (>= 6.16.0~),
               libkf6dbusaddons-dev (>= 6.16.0~),
               libkf6filemetadata-dev (>= 6.16.0~),
               libkf6i18n-dev (>= 6.16.0~),
               libkf6idletime-dev (>= 6.16.0~),
               libkf6kio-dev (>= 6.16.0~),
               libkf6solid-dev (>= 6.16.0~),
               liblmdb-dev,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
Rules-Requires-Root: no

Package: baloo6
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.115.0-3~),
Replaces: baloo-kf5 (<< 5.115.0-3~),
Description: framework for file search and metadata management
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the runtime service and baloo control binaries.

Package: libkf6baloo-dev
Section: libdevel
Architecture: any
Depends: baloo6 (= ${binary:Version}),
         libkf6baloo6 (= ${binary:Version}),
         libkf6balooengine6 (= ${binary:Version}),
         libkf6config-dev (>= 6.16.0~),
         libkf6coreaddons-dev (>= 6.16.0~),
         libkf6crash-dev (>= 6.16.0~),
         libkf6dbusaddons-dev (>= 6.16.0~),
         libkf6filemetadata-dev (>= 6.16.0~),
         libkf6i18n-dev (>= 6.16.0~),
         libkf6idletime-dev (>= 6.16.0~),
         libkf6kio-dev (>= 6.16.0~),
         libkf6solid-dev (>= 6.16.0~),
         qml6-module-org-kde-baloo (= ${binary:Version}),
         qt6-declarative-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6baloo-doc (= ${source:Version}),
Breaks: baloo-kf5-dev (<< 5.115.0-3~),
Replaces: baloo-kf5-dev (<< 5.115.0-3~),
Description: framework for file search and metadata management - development files
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the development files.

Package: libkf6baloo-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for file search and metadata management - developer documentation
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the qch documentation files.

Package: libkf6baloo6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - shared library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the shared library.

Package: libkf6balooengine6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - internal library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains an internal library used by the baloo service.

Package: qml6-module-org-kde-baloo
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: framework for file search and metadata management - QML module
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the QML module.

## kf6-baloo 6.17.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 3.16)
set(REQUIRED_QT_VERSION 6.7.0)
set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts

# set up project
project(Baloo VERSION ${KF_VERSION})

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://commits.kde.org/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
)

include(ECMSetupVersion)

# set up baloo versions
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    SOVERSION 6
)

# include optional and extra cmake stuff
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(ECMAddTests)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMConfiguredInstall)
include(ECMDeprecationSettings)
include(ECMQmlModule)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_EXPERIMENTAL "Build experimental features" OFF)
add_feature_info(EXP ${BUILD_EXPERIMENTAL} "Build experimental features")

option(BUILD_INDEXER_SERVICE "Build the background indexer service" ON)
add_feature_info(INDEXER_SERVICE ${BUILD_INDEXER_SERVICE}
    "Build and install the session wide indexer service. The service is started with the session and running in the background.")

# set up build dependencies
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "https://symas.com/lmdb"
        TYPE REQUIRED
)
if(${LMDB_FOUND})
    include_directories(${LMDB_INCLUDE_DIRS})
endif()

# compiler flags and build system
ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.16.0
)

find_package(Inotify)
set_package_properties(Inotify PROPERTIES
    PURPOSE "Filesystem alteration notifications using inotify")
set(BUILD_KINOTIFY ${Inotify_FOUND})

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)

if (BUILD_TESTING AND BUILD_KINOTIFY)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Baloo")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF6BalooTargets
    NAMESPACE KF6::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
    COMPONENT Devel
)

# and we're done
include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/lib/CMakeLists.txt ===
set(BALOO_LIB_SRCS
    term.cpp
    query.cpp
    queryrunnable.cpp
    resultiterator.cpp
    advancedqueryparser.cpp

    file.cpp
    filemonitor.cpp
    taglistjob.cpp

    indexerconfig.cpp
    ../file/fileindexerconfig.cpp
    ../file/storagedevices.cpp
    ../file/regexpcache.cpp
    ../file/fileexcludefilters.cpp
    ../file/propertydata.cpp

    searchstore.cpp
)
ecm_qt_declare_logging_category(BALOO_LIB_SRCS
    HEADER baloodebug.h
    IDENTIFIER BALOO
    CATEGORY_NAME kf.baloo
    OLD_CATEGORY_NAMES org.kde.baloo
    DESCRIPTION "Baloo File debug"
    EXPORT BALOO
)

kconfig_add_kcfg_files(BALOO_LIB_SRCS baloosettings.kcfgc GENERATE_MOC)
add_library(KF6Baloo ${BALOO_LIB_SRCS})

add_library(KF6::Baloo ALIAS KF6Baloo)

target_link_libraries(KF6Baloo
    PUBLIC
    Qt6::Core
    KF6::CoreAddons
    KF6::FileMetaData

    PRIVATE
    KF6::ConfigCore
    Qt6::DBus
    KF6::Solid
    KF6::BalooEngine
    BalooDBusMainInterface
)

set_target_properties(KF6Baloo PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME Baloo
)
target_include_directories(KF6Baloo INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Baloo>")

ecm_generate_export_header(KF6Baloo
    EXPORT_FILE_NAME core_export.h
    BASE_NAME BALOO_CORE
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Baloo
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_headers(KF6Baloo_CamelCase_HEADERS
    HEADER_NAMES
    Query
    QueryRunnable
    ResultIterator

    File
    FileMonitor
    TagListJob
    IndexerConfig

    PREFIX baloo
    REQUIRED_HEADERS KF6Baloo_HEADERS
)

install(TARGETS KF6Baloo EXPORT KF6BalooTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/core_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/baloosettings.h
    ${KF6Baloo_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo/baloo
    COMPONENT Devel
)

install(FILES
    ${KF6Baloo_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo/Baloo
    COMPONENT Devel
)

ecm_generate_qdoc(KF6Baloo baloo.qdocconf)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6Baloo
        LIB_NAME KF6Baloo
        INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
        DEPS Qt6Core
        DESCRIPTION "Baloo is a file indexing and searching framework for Linux"
        INSTALL
    )
endif ()

=== tests/engine/CMakeLists.txt ===
add_executable(writeiotest writeiotest.cpp)
target_link_libraries(writeiotest
    KF6::BalooEngine
)
ecm_mark_as_test(writeiotest)

add_executable(memorytest memorytest.cpp)
target_link_libraries(memorytest
    KF6::BalooEngine
)
ecm_mark_as_test(memorytest)

add_executable(documenturldb documenturldbtest.cpp)
target_link_libraries(documenturldb
    Qt6::Core
    KF6::BalooEngine
)
ecm_mark_as_test(documenturldb)

=== src/tools/balooctl/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"balooctl6\")

add_executable(balooctl6)
target_sources(balooctl6 PRIVATE
    main.cpp
    indexer.cpp
    command.cpp
    configcommand.cpp
    statuscommand.cpp
    monitorcommand.cpp
    indexcommand.cpp
    indexentry.cpp
    clearcommand.cpp
    clearentry.cpp
    ${CMAKE_SOURCE_DIR}/src/file/extractor/result.cpp
)

ecm_mark_nongui_executable(balooctl6)
target_compile_definitions(balooctl6 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(balooctl6
    Qt6::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::I18n
    KF6::Baloo
    KF6::BalooEngine
    baloofilecommon
    BalooDBusMainInterface
    BalooDBusSchedulerInterface
    BalooDBusFileIndexerInterface
)

install(TARGETS balooctl6 DESTINATION ${KDE_INSTALL_BINDIR})

=== src/tools/balooshow/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"balooshow5\")

set(SRCS main.cpp)

add_executable(balooshow6 ${SRCS})
ecm_mark_nongui_executable(balooshow6)
target_compile_definitions(balooshow6 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(balooshow6
    KF6::Baloo
    KF6::BalooEngine
    KF6::FileMetaData
    KF6::CoreAddons
    KF6::I18n
)

install(TARGETS balooshow6 DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
kf6-baloo (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                gettext,
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
-               libkf6dbusaddons-dev (>= 6.16.0~),
-               libkf6filemetadata-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6idletime-dev (>= 6.16.0~),
-               libkf6kio-dev (>= 6.16.0~),
-               libkf6solid-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6crash-dev (>= 6.17.0~),
+               libkf6dbusaddons-dev (>= 6.17.0~),
+               libkf6filemetadata-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6idletime-dev (>= 6.17.0~),
+               libkf6kio-dev (>= 6.17.0~),
+               libkf6solid-dev (>= 6.17.0~),
                liblmdb-dev,
                libqt6sql6-sqlite <!nocheck>,
                libxkbcommon-dev,
@@ -54,15 +54,15 @@
 Depends: baloo6 (= ${binary:Version}),
          libkf6baloo6 (= ${binary:Version}),
          libkf6balooengine6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6coreaddons-dev (>= 6.16.0~),
-         libkf6crash-dev (>= 6.16.0~),
-         libkf6dbusaddons-dev (>= 6.16.0~),
-         libkf6filemetadata-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
-         libkf6idletime-dev (>= 6.16.0~),
-         libkf6kio-dev (>= 6.16.0~),
-         libkf6solid-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6coreaddons-dev (>= 6.17.0~),
+         libkf6crash-dev (>= 6.17.0~),
+         libkf6dbusaddons-dev (>= 6.17.0~),
+         libkf6filemetadata-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
+         libkf6idletime-dev (>= 6.17.0~),
+         libkf6kio-dev (>= 6.17.0~),
+         libkf6solid-dev (>= 6.17.0~),
          qml6-module-org-kde-baloo (= ${binary:Version}),
          qt6-declarative-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-baloo 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.7.0)
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})
@@ -79,7 +79,7 @@
 # compiler flags and build system
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 find_package(Inotify)

=== autotests/unit/CMakeLists.txt ===
add_subdirectory(codecs)
add_subdirectory(engine)
add_subdirectory(file)
add_subdirectory(lib)

=== autotests/unit/lib/CMakeLists.txt ===
#
# Query Serialization
#
ecm_add_test(queryserializationtest.cpp
    TEST_NAME "queryserializationtest"
    LINK_LIBRARIES Qt6::Test KF6::Baloo
)
ecm_add_test(filemonitortest.cpp
    TEST_NAME "filemonitortest"
    LINK_LIBRARIES Qt6::Test Qt6::DBus KF6::Baloo
)

#
# Advanced Query Parser
#
ecm_add_test(advancedqueryparsertest.cpp ../../../src/lib/advancedqueryparser.cpp ../../../src/lib/term.cpp
    TEST_NAME "advancedqueryparsertest"
    LINK_LIBRARIES Qt6::Test
)

#
# Fetch Job
#
set(filefetchjobtest_SRC filefetchjobtest.cpp)
ecm_add_test(${filefetchjobtest_SRC}
    TEST_NAME "filefetchjobtest"
    LINK_LIBRARIES Qt6::Test KF6::Baloo KF6::BalooEngine KF6::FileMetaData baloofilecommon
)

=== src/kioworkers/kded/CMakeLists.txt ===
set (KDED_BALOOSEARCH_SRCS
     baloosearchmodule.cpp
)

add_library(baloosearchmodule MODULE ${KDED_BALOOSEARCH_SRCS})

target_link_libraries(baloosearchmodule
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::KIOCore
)

install(TARGETS baloosearchmodule DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

=== src/kioworkers/tags/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio6_tags\")

set(tags_LIB_SRCS
   kio_tags.cpp
)

ecm_qt_declare_logging_category(tags_LIB_SRCS
    HEADER kio_tags_debug.h
    IDENTIFIER Baloo::KIO_TAGS
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.kio.workers.tags
    OLD_CATEGORY_NAMES kf5.kio.kio_tags kf.kio.slaves.tags
    DESCRIPTION "Baloo Tags (KIO)"
    EXPORT BALOO
)

add_library(tags MODULE ${tags_LIB_SRCS})

target_link_libraries(tags
  KF6::KIOCore
  KF6::FileMetaData
  KF6::I18n
  KF6::Baloo
)

install(TARGETS tags DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== src/tools/baloosearch/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloosearch6\")

set(BALOO_SEARCH_SRCS main.cpp)

add_executable(baloosearch6 ${BALOO_SEARCH_SRCS})
ecm_mark_nongui_executable(baloosearch6)
target_compile_definitions(baloosearch6 PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloosearch6
  KF6::I18n
  KF6::CoreAddons
  KF6::Baloo
)

install(TARGETS baloosearch6 DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
kf6-baloo (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Allow tests to fail.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 22:41:26 +0200

=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-test-runner <!nocheck>,
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6filemetadata-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               liblmdb-dev,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-baloo.git
Rules-Requires-Root: no

Package: baloo6
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.115.0-3~),
Replaces: baloo-kf5 (<< 5.115.0-3~),
Description: framework for file search and metadata management
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the runtime service and baloo control binaries.

Package: libkf6baloo-dev
Section: libdevel
Architecture: any
Depends: baloo6 (= ${binary:Version}),
         libkf6baloo6 (= ${binary:Version}),
         libkf6balooengine6 (= ${binary:Version}),
         libkf6config-dev (>= 6.18.0~),
         libkf6coreaddons-dev (>= 6.18.0~),
         libkf6crash-dev (>= 6.18.0~),
         libkf6dbusaddons-dev (>= 6.18.0~),
         libkf6filemetadata-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libkf6idletime-dev (>= 6.18.0~),
         libkf6kio-dev (>= 6.18.0~),
         libkf6solid-dev (>= 6.18.0~),
         qml6-module-org-kde-baloo (= ${binary:Version}),
         qt6-declarative-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6baloo-doc (= ${source:Version}),
Breaks: baloo-kf5-dev (<< 5.115.0-3~),
Replaces: baloo-kf5-dev (<< 5.115.0-3~),
Description: framework for file search and metadata management - development files
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the development files.

Package: libkf6baloo-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for file search and metadata management - developer documentation
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the qch documentation files.

Package: libkf6baloo6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: framework for file search and metadata management - shared library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the shared library.

Package: libkf6balooengine6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: framework for file search and metadata management - internal library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains an internal library used by the baloo service.

Package: qml6-module-org-kde-baloo
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: framework for file search and metadata management - QML module
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# positioncodectest fails on big endian architectures
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  fail_param := || true
endif
# general failures not related to endianness
testsuite_failing_archs := \
		armel \
		armhf \
		loong64 \
		riscv64 \

ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	- dbus-run-session -- dh_auto_test --buildsystem=kf6 $(fail_param)

## kf6-baloo 6.18.0+p24.04+vstable+git20250926.0931

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.7.0)
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 # set up project
@@ -79,7 +79,7 @@
 # compiler flags and build system
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 find_package(Inotify)

=== debian/changelog ===
kf6-baloo (6.18.0+p24.04+vstable+git20250926.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:31:04 +0000

kf6-baloo (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:42:58 +0000

kf6-baloo (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:04:16 +0000

kf6-baloo (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:56:57 +0000

kf6-baloo (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:31:17 +0000

kf6-baloo (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:14:13 +0000

kf6-baloo (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:39:50 +0000

kf6-baloo (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:45:22 +0000

kf6-baloo (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:11:55 +0000

kf6-baloo (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:18:08 +0000

kf6-baloo (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:09:35 +0000

kf6-baloo (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:16:36 +0000

kf6-baloo (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:12:09 +0000

kf6-baloo (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:17:26 +0000

kf6-baloo (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:12:58 +0000

kf6-baloo (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:32:27 +0000

kf6-baloo (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:17:32 +1000

kf6-baloo (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:47:03 +0000

kf6-baloo (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:11:04 +0000

kf6-baloo (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-baloo (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-baloo 6.18.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
kf6-baloo (6.18.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:38 +0000

## kf6-baloo 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.16)
 set(REQUIRED_QT_VERSION 6.7.0)
 set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF_VERSION})

=== src/codecs/CMakeLists.txt ===
set(BALOO_CODECS_SRCS
    doctermscodec.cpp
    positioncodec.cpp
    postingcodec.cpp

    coding.cpp
)

add_library(KF6BalooCodecs STATIC ${BALOO_CODECS_SRCS})
add_library(KF6::BalooCodecs ALIAS KF6BalooCodecs)

set_property(TARGET KF6BalooCodecs PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(KF6BalooCodecs
    Qt6::Core
    KF6::CoreAddons
)

=== src/engine/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"balooengine6\")

set(BALOO_ENGINE_SRCS
    andpostingiterator.cpp
    database.cpp
    document.cpp
    documentdb.cpp
    documentdatadb.cpp
    documenturldb.cpp
    documenttimedb.cpp
    documentiddb.cpp
    enginequery.cpp
    idtreedb.cpp
    idfilenamedb.cpp
    indexerstate.cpp
    mtimedb.cpp
    orpostingiterator.cpp
    phraseanditerator.cpp
    positiondb.cpp
    postingdb.cpp
    postingiterator.cpp
    termgenerator.cpp
    transaction.cpp
    vectorpostingiterator.cpp
    vectorpositioninfoiterator.cpp
    writetransaction.cpp
    global.cpp
    fsutils.cpp
)

ecm_qt_declare_logging_category(
    BALOO_ENGINE_SRCS
    HEADER "enginedebug.h"
    IDENTIFIER "Baloo::ENGINE"
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.baloo.engine
    OLD_CATEGORY_NAMES org.kde.baloo.engine
    DESCRIPTION "Baloo Engine"
    EXPORT BALOO
)

if(${BUILD_EXPERIMENTAL})
  set(BALOO_ENGINE_SRCS ${BALOO_ENGINE_SRCS} experimental/databasesanitizer.cpp)
endif()

add_library(KF6BalooEngine ${BALOO_ENGINE_SRCS})
add_library(KF6::BalooEngine ALIAS KF6BalooEngine)

qt_extract_metatypes(KF6BalooEngine)

target_link_libraries(KF6BalooEngine
    PUBLIC
    Qt6::Core
    KF6::CoreAddons
    ${LMDB_LIBRARIES}
    PRIVATE
    KF6BalooCodecs
    KF6::I18n
)

set_target_properties(KF6BalooEngine PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME BalooEngine
)

##target_include_directories(KF6BalooEngine INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Baloo>")

generate_export_header(KF6BalooEngine BASE_NAME BALOO_ENGINE EXPORT_FILE_NAME engine_export.h)

install(TARGETS KF6BalooEngine EXPORT KF6BalooTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== src/tools/CMakeLists.txt ===
add_subdirectory(baloosearch)
add_subdirectory(balooshow)

if (BUILD_INDEXER_SERVICE)
  add_subdirectory(balooctl)
endif()

if(${BUILD_EXPERIMENTAL})
  add_subdirectory(experimental/baloodb)
endif()

=== tests/benchmarks/CMakeLists.txt ===
add_executable(unindexedfileiteratorbenchmark unindexedfileiteratortest.cpp)
target_link_libraries(unindexedfileiteratorbenchmark
    Qt6::Core
    baloofilecommon
)
ecm_mark_as_test(unindexedfileiteratorbenchmark)

=== autotests/unit/engine/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp dbtest.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt6::Test KF6::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    positiondbtest
    postingdbtest
    documentdbtest
    documenturldbtest
    documentiddbtest
    documentdatadbtest
    documenttimedbtest
    idtreedbtest
    idfilenamedbtest
    mtimedbtest

    # Query
    andpostingiteratortest
    orpostingiteratortest
    postingiteratortest
    phraseanditeratortest
)

add_executable(termgeneratortest_bin
    termgeneratortest.cpp
)
target_link_libraries(termgeneratortest_bin
    Qt6::Test
    KF6::BalooEngine
)
ecm_mark_as_test(termgeneratortest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME termgeneratortest COMMAND termgeneratortest_bin "-iterations" "1")

=== debian/changelog ===
kf6-baloo (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:03:36 +0100

=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               gettext,
               libkf6config-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.19.0~),
               libkf6crash-dev (>= 6.19.0~),
               libkf6dbusaddons-dev (>= 6.19.0~),
               libkf6filemetadata-dev (>= 6.19.0~),
               libkf6i18n-dev (>= 6.19.0~),
               libkf6idletime-dev (>= 6.19.0~),
               libkf6kio-dev (>= 6.19.0~),
               libkf6solid-dev (>= 6.19.0~),
               liblmdb-dev,
               libqt6sql6-sqlite <!nocheck>,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-baloo
Rules-Requires-Root: no

Package: baloo6
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: baloo-kf5 (<< 5.115.0-3~),
Replaces: baloo-kf5 (<< 5.115.0-3~),
Description: framework for file search and metadata management
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the runtime service and baloo control binaries.

Package: libkf6baloo-dev
Section: libdevel
Architecture: any
Depends: baloo6 (= ${binary:Version}),
         libkf6baloo6 (= ${binary:Version}),
         libkf6balooengine6 (= ${binary:Version}),
         libkf6config-dev (>= 6.19.0~),
         libkf6coreaddons-dev (>= 6.19.0~),
         libkf6crash-dev (>= 6.19.0~),
         libkf6dbusaddons-dev (>= 6.19.0~),
         libkf6filemetadata-dev (>= 6.19.0~),
         libkf6i18n-dev (>= 6.19.0~),
         libkf6idletime-dev (>= 6.19.0~),
         libkf6kio-dev (>= 6.19.0~),
         libkf6solid-dev (>= 6.19.0~),
         qml6-module-org-kde-baloo (= ${binary:Version}),
         qt6-declarative-dev (>= 6.6.0~),
         ${misc:Depends},
Recommends: libkf6baloo-doc (= ${source:Version}),
Breaks: baloo-kf5-dev (<< 5.115.0-3~),
Replaces: baloo-kf5-dev (<< 5.115.0-3~),
Description: framework for file search and metadata management - development files
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the development files.

Package: libkf6baloo-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: framework for file search and metadata management - developer documentation
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the qch documentation files.

Package: libkf6baloo6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - shared library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the shared library.

Package: libkf6balooengine6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: framework for file search and metadata management - internal library
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains an internal library used by the baloo service.

Package: qml6-module-org-kde-baloo
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: framework for file search and metadata management - QML module
 Baloo is the file indexing and file search framework for KDE Plasma. It
 focuses on speed and a very small memory footprint. It maintains an index of
 your files and optionally their contents which you can search.
 .
 This package contains the QML module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/baloo-([\d.]+)\.tar\.xz

## kf6-baloo 6.19.0+p24.04+vstable+git20251019.0216

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251019.0216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:16:02 +0000

kf6-baloo (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:43:56 +0000

## kf6-baloo 6.19.0+p24.04+vstable+git20251020.0101

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.16)
-set(REQUIRED_QT_VERSION 6.7.0)
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 6.8.0)
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 
 # set up project

=== src/kioworkers/search/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio6_baloosearch\")

add_library(kio_baloosearch MODULE kio_search.cpp)

target_link_libraries(kio_baloosearch
  KF6::KIOCore
  KF6::I18n
  KF6::Baloo
  Qt6::Network
)

set_target_properties(kio_baloosearch PROPERTIES OUTPUT_NAME "baloosearch")

install(TARGETS kio_baloosearch DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251020.0101-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:01:38 +0000

=== debian/control ===
Source: kf6-baloo
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-solid-dev,
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-baloo.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-baloo
Maintainer: Neon CI <neon@kde.org>

Package: kf6-baloo
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo-kf5 (<< 5.115.0-1)
Replaces: baloo-kf5 (<< 5.115.0-1),
          baloo-kf6,
          libkf6baloo-doc,
          libkf6baloo6,
          libkf6balooengine6
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: kf6-baloo-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-baloo (= ${binary:Version}),
         kf6-kcoreaddons-dev,
         kf6-kfilemetadata-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: baloo-kf6-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: baloo-kf6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloo-doc
Architecture: all
Depends: kf6-baloo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloo6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6balooengine6
Architecture: all
Depends: kf6-baloo, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: baloo-kf6-dev
Architecture: all
Depends: kf6-baloo-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-baloo 6.19.0+p24.04+vstable+git20251021.0837

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vstable+git20251021.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:37:53 +0000

## kf6-baloo 6.19.0+p24.04+vunstable+git20251020.0040

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vunstable+git20251020.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:40:36 +0000

## kf6-baloo 6.19.0+p24.04+vunstable+git20251021.0505

=== debian/changelog ===
kf6-baloo (6.19.0+p24.04+vunstable+git20251021.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:05:23 +0000
